Installation impossible

Réduire
Ce sujet est fermé.
X
X
  • Filtrer
  • Heure
  • Afficher
Tout effacer
nouveaux messages

  • Installation impossible

    Bonjour,

    J'ai fait une installation sans problème de la version 1.0 sur mon serveur mais impoosible de le faire avec la version 1.5 stable !
    Lorsque je tape la commande, il n'interprète pas la script index.php, mon navigateur me propose d'enregistrer le fichier !

    Si vous avez la solution, merci

    Claude Berchet

    Serveur : PHP 5.2.4/ MySQL 5.x/ PhpAdmin 2.10.1
    Dernière édition par berchy à 28/01/2008, 19h01

  • #2
    Réessaie plusieurs fois en annulant l'enregistrement proposé, ton navigateur finira par comprendre. Ca arrive parfois.

    Commentaire


    • #3
      serveur windows ou linux ?

      le fichier index.php doit etre corrompu et il ne peut etre interpreter par le serveur a mon avis. si le fichier vient d'un pc sous windows et que ton serveur est sous linux verifie que lors du transfert il n y a pas eu des ^M d ajouter a la fin de chaque ligne.

      Commentaire


      • #4
        Bonjour,

        J'ai le même problème :

        Sous FF il me propose d'enregistrer l'index.php et sous IE il me dit : "Internet Explorer ne peut pas afficher cette page Web"

        J'ai ré-uploader le fichier index.php au cas où mais ca ne change rien

        Je suis sous XP et voilà les infos que j'ai trouvé chez mon hébergeur :
        SERVEURS WEB: Apache
        VERSION DE PHP: 4.4.7:
        --› Extensions et fonctions supportées
        --› Affichage du phpinfo()
        VERSION DE PERL: 5.008008
        VERSION DE MYSQL: Ver 14.12 Distrib 5.0.45, for pc-linux-gnu (i686) using readline 5.0
        on lance bien l'installation à partir de l'index.php se trouvant à la racine ?

        PS : je n'ai pas vu de ^M ajouter en fin de ligne
        Dernière édition par bouckie à 24/01/2008, 11h59
        http://www.luniverspore.com/
        http://www.luniversims.com/

        Commentaire


        • #5
          en règle général ce problème vient de la configuration d'apache. Puisque tu ne dois pas avoir accès à cette configuration il faudrait peut-être uploader par ftp une page php et essayer de l'appeler directement avec ton navigateur pour voir si le problème subsiste. S'il subsiste il faut contacter ton hebergeur pour lui expliquer le problème. Sinon si apache est correctement configuré il doit y avoir un problème avec ton fichier...

          tu peux tester avec ceci :

          <html>
          <head>
          <title> PHP Test Script </title>
          </head>
          <body>
          <?php
          phpinfo( );
          ?>
          </body>
          </html>

          enregistre par exemple sous info.php et http://mon-site/info.php
          Dernière édition par enesideme à 24/01/2008, 16h00

          Commentaire


          • #6
            en fait ce que je ne pige pas c'est que j'ai déjà un site en PHP dessus (avec Xoops) et je voudrais justement en changer.
            J'ai mis joomla! dans un répertoire à part (/v2) et là ça ne marche pas

            Ça ne pose pas de problème s'il n'est pas a la racine du site quand même ?


            -------------

            J'ai testé avec le fichier info.php, j'ai plein d'infos mais je ne sais pas ce que je dois lire, désolé
            http://www.luniverspore.com/
            http://www.luniversims.com/

            Commentaire


            • #7
              J'ai la même config que toi. Un site existant à la racine qui fonctionne parfaitement et j'ai j'ai un répertoire avec Joomla.
              Avec la version 1.0 ca marche parfaitement mais pas avec 1.5
              J'ai contacter mon hebergeur mais visiblement ils n'ont pas encore trouvés la solution
              J'attends......
              Si tu as des news de ton côté
              Merci A+

              Commentaire


              • #8
                tu écris

                "en fait ce que je ne pige pas c'est que j'ai déjà un site en PHP dessus (avec Xoops) et je voudrais justement en changer.
                J'ai mis joomla! dans un répertoire à part (/v2) et là ça ne marche pas

                Ça ne pose pas de problème s'il n'est pas a la racine du site quand même ?"

                la notion de racine est toute relative
                tu veux dire que tu tapes ton adresse http://mon-site/v2/ pour installer joomla.?

                Là encore c'est peut-être un problème de configuration d'apache. Quand j'ai plusieurs sites à l'intérieur de la racine dans des répertoires spécifiques je configure des vhosts dans apache.

                Commentaire


                • #9
                  Exactement
                  J'ai le site initial à à l'adresse http://www.mon-site.ch
                  La racite du site est /web/ j'ai créer un sous-dossier /web/joomla et je tape l'adresse Http://www.mon-site.ch/joomla
                  Avec la version 1.0 aucuns problèmes de cohabitation les deux fonctionnaient
                  mais pas avec la version 1.5, impossible d'installer !
                  Cela plus deux jours que j'attends une réponse de mon hebergeur
                  A suivre

                  Commentaire


                  • #10
                    je viens de faire le test avec mon site et une version 1.5 installée hier ça ne pose pas de problème si on tape l'adresse complète directement. Tu pourrais essayer de migrer ton site existant dans un sous-repertoire et installer joomla à la racine si tu peux te permettre de fermer ton site existant quelques temps pour voir si le problème persiste. Vérifie à tout hasard les permissions du répertoire. Si tu as accès à un shell ça prendra quelques secondes de faire le test. Sinon il faudra te contenter des commandes ftp.

                    Commentaire


                    • #11
                      Bonjour,

                      J'ai le même problème...

                      Je suis chez Infomaniak et impossible d'installer Joomla 1.5...

                      Firefox me propose de télécharger la page au lieu de la lire (quand je l'ouvre avec Dreamweaver ma page est vide...) et avec Internet explorer ca me marque que la page est inexistante...

                      Le PHP fonctionne pourant correctement avec Infomaniak. J'ai controller et il n'y a aucun ^M ajouter à la fin des lignes.

                      J'ai également téléchargé une nouvelle fois les fichier sur joomlafrance et les ai renvoyé une nouvelle fois sur mon serveur.

                      Je ne comprend pas... J'ai pourtant pu installer Joomla 1.5 sur d'autres hébergement... Alors à cause de quoi sa pourrait venir à votre avis ???

                      Commentaire


                      • #12
                        Bonsoir,

                        je suis également chez infomaniak, j'attends une réponse de leur part... Lundi je pense

                        Je vous tiendrais au courant dans ce post, s'ils ont une solution, ce que j'espère


                        Je n'ai pas pu essayer Joomla a la racine. Migrer le site est compliquer et ca ne m'apporterait rien car pour refaire le site, je vais devoir passer par un autre répertoire. Sinon je devrais le le fermer pendant au moins un mois le temps de tout refaire
                        http://www.luniverspore.com/
                        http://www.luniversims.com/

                        Commentaire


                        • #13
                          Excellent, merci beaucoup.

                          J'espère qu'ils trouveront la réponse à ce problème.

                          Commentaire


                          • #14
                            Installation sans problème chez Infomaniak

                            Ayant vu vos problèmes, j'ai fait une installation . Au lancement, tout est rouge mais après avoir modifié les droits, tout s'est déroulé sans incident. Vérifiez non seulement les droits sur les dossiers/fichiers mais aussi les propriétaires.
                            - installation de template et de composants sans problème.
                            - édition d'articles sans problème
                            ================================================== ======
                            - mon seul point d'interrogation : je ne trouve pas dans les infos système la version d'Apache utilisée par Infomaniak. Utilise t-il des compilations spéciales ?
                            http://imu100.infomaniak.ch/info
                            http://imu104.infomaniak.ch/info

                            Commentaire


                            • #15
                              Oui, mais je ne pense pas que mon problème vienne des droits, car je ne peux meme pas accéder à la première page d'installation........ Au lieu de voir la page, soit Firefox me propose de télécharger la page (mais elle est vie) soit internet explorer me dit que la page n'existe pas...

                              Mais merci quand même.

                              Commentaire

                              Annonce

                              Réduire
                              1 sur 2 < >

                              C'est [Réglé] et on n'en parle plus ?

                              A quoi ça sert ?
                              La mention [Réglé] permet aux visiteurs d'identifier rapidement les messages qui ont trouvé une solution.

                              Merci donc d'utiliser cette fonctionnalité afin de faciliter la navigation et la recherche d'informations de tous sur le forum.

                              Si vous deviez oublier de porter cette mention, nous nous permettrons de le faire à votre place... mais seulement une fois
                              Comment ajouter la mention [Réglé] à votre discussion ?
                              1 - Aller sur votre discussion et éditer votre premier message :


                              2 - Cliquer sur la liste déroulante Préfixe.

                              3 - Choisir le préfixe [Réglé].


                              4 - Et voilà… votre discussion est désormais identifiée comme réglée.

                              2 sur 2 < >

                              Assistance au forum - Outil de publication d'infos de votre site

                              Compatibilité: PHP 4.1,PHP4, 5, 6DEV MySQL 3.2 - 5.5 MySQLi from 4.1 ( @ >=PHP 4.4.9)

                              Support Version de Joomla! : | J!3.0 | J!2.5.xx | J!1.7.xx | J!1.6.xx | J1.5.xx | J!1.0.xx |

                              Version française (FR) D'autres versions sont disponibles depuis la version originale de FPA

                              UTILISER À VOS PROPRES RISQUES :
                              L'exactitude et l'exhaustivité de ce script ainsi que la documentation ne sont pas garanties et aucune responsabilité ne sera acceptée pour tout dommage, questions ou confusion provoquée par l'utilisation de ce script.

                              Problèmes connus :
                              FPA n'est actuellement pas compatible avec des sites Joomla qui ont eu leur fichier configuration.php déplacé en dehors du répertoire public_html.

                              Installation :

                              1. Téléchargez l'archive souhaitée : http://afuj.github.io/FPA/

                              Archive zip : https://github.com/AFUJ/FPA/zipball/master

                              2. Décompressez le fichier de package téléchargé sur votre propre ordinateur (à l'aide de WinZip ou d'un outil de décompression natif).

                              3. Lisez le fichier LISEZMOI inclus pour toutes les notes de versions spécifiques.

                              4. LIRE le fichier de documentation inclus pour obtenir des instructions d'utilisation détaillées.

                              5. Téléchargez le script fpa-fr.php à la racine de votre site Joomla!. C'est l'endroit que vous avez installé Joomla et ce n'est pas la racine principale de votre serveur. Voir les exemples ci-dessous.

                              6. Exécutez le script via votre navigateur en tapant: http:// www. votresite .com/ fpa-fr.php
                              et remplacer www. votresite .com par votre nom de domaine


                              Exemples:
                              Joomla! est installé dans votre répertoire web et vous avez installé la version française du fichier FPA:
                              Télécharger le script fpa-fr.php dans: /public_html/
                              Pour executer le script: http://www..com/fpa-fr.php

                              Joomla! est installé dans un sous-répertoire nommé "cms" et vous avez installé la version française du fichier FPA:
                              Télécharger le script fpa-fr.php dans: /public_html/cms/
                              Pour executer le script: http://www..com/cms/fpa-fr.php

                              En raison de la nature très sensible de l'information affichée par le script FPA, il doit être retiré immédiatement du serveur après son utilisation.

                              Pour supprimer le script de votre site, utilisez le lien de script de suppression fourni en haut de la page du script. Si le lien de suppression échoue pour supprimer le script, utilisez votre programme FTP pour le supprimer manuellement ou changer le nom une fois que le script a généré les données du site et le message publié sur le forum. Si le script est toujours présent sur le site, il peut être utilisé pour recueillir suffisamment d'informations pour pirater votre site. Le retrait du script empêche des étrangers de l'utiliser pour jeter un oeil à la façon dont votre site est structuré et de détecter les défauts qui peuvent être utilisé à vos dépends.
                              Voir plus
                              Voir moins
                              Travaille ...
                              X